メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
people
/
merge
Merge people in batch
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people/merge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merges": [
    {
      "fromPeopleId": 1,
      "toPeopleId": 2
    }
  ]
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people/merge"

payload = { "merges": [
        {
            "fromPeopleId": 1,
            "toPeopleId": 2
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({merges: [{fromPeopleId: 1, toPeopleId: 2}]})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people/merge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  },
  "items": [
    {
      "id": 1,
      "primaryEmail": "foo@gmail.com",
      "displayName": "Yamaha Honda",
      "avatar": "avatar_url",
      "username": "foo",
      "type": "employee",
      "status": "suspended",
      "suspendedAt": "2021-07-13T19:15:40.000Z",
      "createdAt": "2021-07-13T19:15:40.000Z",
      "accounts": [
        {
          "serviceUniqueName": "github",
          "serviceName": "GitHub",
          "workspaceName": "mfi",
          "accountKey": "foo@mfi.com"
        }
      ]
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

ボディ

application/json
merges
object[]
必須

レスポンス

200 - application/json
meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月10日